Update 2.2.5->2.2.6, Package deinstalled.



  • Hi :-)

    After installing 2.2.6 on a PC Engines apu1D4 the package installer appears and i must confirm the reinstallation of the packages.
    Then the following appears:
    "Removing package…
    Starting package deletion for zip-3.0_1-i386...done.
    Starting package deletion for p7zip-9.20.1_2-i386...done.
    Removing OpenVPN Client Export Utility components...
    Tabs items... done.
    Loading package instructions...
    Deinstall commands... done.
    Removing package instructions...done.
    Auxiliary files... done.
    Package XML... done.
    Configuration... done.
    done.
    Beginning package installation for OpenVPN Client Export Utility .
    Downloading package configuration file... "

    Then it stops. I have waited 30 minutes. The package is deinstalled. Does somone know this behavior?
    Of course i can install it manually but whats the reason for it?

    Thanks. Arti.



  • For some reason, Snort wasn't installed after upgrading to 2.2.6.  I had to re-install it manually.



  • An upgrade causes all packages to be removed and reinstalled. If something goes wrong with this process, you might finish up with a package missing or package(s) that do not work.

    The 2.2.5 -> 2.2.6 upgrade I just carried out resulted in all packages being reinstalled automatically, including Snort.



  • 2.2.5->2.2.6 was upgraded successfully, but the installed packages only have pfBlockerNG listed, no Snort. so I have to manually re-installed Snort.



  • Depending on what packages you have installed, and maybe other factors, the reinstall process can fail. Just reinstall manually afterwards if necessary. The root issue is complicated, but addressed in 2.3 with changes in the way the package code and reinstallation process occurs.



  • OK. I only have 2 packages installed. pfBlockerNG and Snort.



  • Upgrade 2.2.5->2.2.6 was successful. Packages Snort, Squid3, and pFBlocker NG were installed without issues. I restarted dnsbl service.



  • I just upgraded my nanoBSD system and also had a package re-installation failure.  I use AutoConfigBackup, Avahi, Blinkled, and Notes.  Avahi and Notes appeared to be installed but Notes would not run and Avahi crashed when trying to open the menu.  Rebooting, deleting both the packages that showed as installed (they weren't operational) and reinstalling all the packages appears to have fixed everything.

    After re-installation they all picked up their old configurations.



  • I disable Suricata, pfBlockerNG and FW Rules using pfBlockerNG before doing an upgrade.



  • @RonpfS:

    I disable Suricata, pfBlockerNG and FW Rules using pfBlockerNG before doing an upgrade.

    Yes - I probably should have done that too but I'd had no problems with another pfSense upgrade at work earlier and I just hit the upgrade button at home without thinking.  The NanoBSD system has less resources and has given me occasional glitches like this in the past - caveat emptor.


Log in to reply